
package de.ivu.elect.business.wahlrechtspruefung.boundary;

import javax.ejb.Stateless;
import javax.enterprise.inject.Specializes;
import javax.inject.Inject;

import de.ivu.elect.business.kandidatur.control.NlListenkandidaturSynchronisierenEvent;
import de.ivu.elect.business.wahlvorschlagsperson.boundary.WahlvorschlagsPersonEdit;
import de.ivu.elect.business.wahlvorschlagsperson.entity.WahlvorschlagsPerson;

@Stateless
@Specializes
public class NlWasWahlvorschlagsPersonEdit extends WahlvorschlagsPersonEdit {

  @Inject
  private transient NlListenkandidaturSynchronisierenEvent nlListenkandidaturSynchronisierenEvent;

  public NlWasWahlvorschlagsPersonEdit() {
    super();
  }

  @Override
  public void save(WahlvorschlagsPerson entity) {
    super.save(entity);

    nlListenkandidaturSynchronisierenEvent.sendeSynchronisierenEvent(entity, false, false /* ELECT-10334 */, false /* Kein Personenregister im WAS... */);
  }
}
